db-derby-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Knut Anders Hatlen <Knut.Hat...@Sun.COM>
Subject Re: Can't run Derby 10.3 on CDC platform
Date Mon, 05 Nov 2007 16:58:48 GMT
Rick Hillegas <Richard.Hillegas@Sun.COM> writes:

> I am able to run Derby 10.2 on the phoneME implementation of the CDC
> platform. That is, using Derby 10.2 on that platform, I am able to
> successfully create a database and query the system tables. So far so
> good.
>
> However, when I run the same experiment with Derby 10.3, the database
> fails to boot because it can't find an appropriate
> DataValueFactory. This is true whether I use the Derby 10.3 jars,
> current jars built from the mainline, or the classtree built from the
> mainline. I would appreciate clues about what changed in 10.3 which
> would cause this behavior.

Hi Rick,

In Derby 10.3, we dropped Foundation 1.0 support and moved to Foundation
1.1, as far as I remember. Your device doesn't by any chance have a too
old JVM?

-- 
Knut Anders

Mime
View raw message